Bug 1483697 - FN f5 + f6 brightness keys not recognicesd under X11 on HP Elitebook 840
Summary: FN f5 + f6 brightness keys not recognicesd under X11 on HP Elitebook 840
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-21 18:41 UTC by fhortner
Modified: 2018-05-29 12:24 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:24:38 UTC
Type: ---


Attachments (Terms of Use)

Description fhortner 2017-08-21 18:41:24 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.91 Safari/537.36 Vivaldi/1.92.917.39
Build Identifier: 

after upgrading from Fedora 25 to Fedora 26 KDE spin, the brightness control does not work anymore. I can only change the brightness via xbacklight or echoing.

I tried to add 20-intel.conf with:
Section "Device"
    Identifier  "Card0"
    Driver      "intel"
    Option      "Backlight"  "intel_backlight"
EndSection

wich did not work.

Then I tried to check if the fn+f5 and fn+f6 keys are recognized by the system with the commands:

acpi_listen as well as
showkey -s

both keys are not recognized under X11 (Gnome and KDE). Other special fn keys are recognices (for example volume up/down).
Then I tried to install Gnome with Wayland. Here brightness changes with the special fn f5/f6 keys works fine.

Reproducible: Always

Steps to Reproduce:
1. press fn + f5
2. press fn + f5
3. press fn + f5
Actual Results:  
nothing happens

Expected Results:  
brightness shoult be reduced

to find a solution I tried different things:

I tried to add 20-intel.conf with:
Section "Device"
    Identifier  "Card0"
    Driver      "intel"
    Option      "Backlight"  "intel_backlight"
EndSection

wich did not work.

Then I tried to check if the fn+f5 and fn+f6 keys are recognized by the system with the commands:

acpi_listen as well as
showkey -s

both keys are not recognized under X11 (Gnome and KDE). Other special fn keys are recognices (for example volume up/down).
Then I tried to install Gnome with Wayland. Here brightness changes with the special fn f5/f6 keys works fine.

Comment 1 Fedora End Of Life 2018-05-03 08:05:07 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 12:24:38 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.